org.jbpm.runtime.manager.impl.lock

## Class LegacyRuntimeManagerLockStrategy

- java.lang.Object
- - org.jbpm.runtime.manager.impl.lock.LegacyRuntimeManagerLockStrategy

- All Implemented Interfaces:
    RuntimeManagerLockStrategy

      public class LegacyRuntimeManagerLockStrategy
      extends Object
      implements RuntimeManagerLockStrategy

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ConcurrentMap<Long,RuntimeManagerLock>` | `engineLocks`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacyRuntimeManagerLockStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(RuntimeManagerLockFactory factory)`
    `RuntimeManagerLock` | `lock(Long id, org.kie.api.runtime.manager.RuntimeEngine runtime)`
    `void` | `unlock(Long id, org.kie.api.runtime.manager.RuntimeEngine runtime)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### engineLocks

          protected ConcurrentMap<Long,RuntimeManagerLock> engineLocks

  - ### Constructor Detail

    - #### LegacyRuntimeManagerLockStrategy

          public LegacyRuntimeManagerLockStrategy()

  - ### Method Detail

    - #### init

          public void init(RuntimeManagerLockFactory factory)

      Specified by:
        `init` in interface `RuntimeManagerLockStrategy`

    - #### lock

          public RuntimeManagerLock lock(Long id,
                                         org.kie.api.runtime.manager.RuntimeEngine runtime)

      Specified by:
        `lock` in interface `RuntimeManagerLockStrategy`

    - #### unlock

          public void unlock(Long id,
                             org.kie.api.runtime.manager.RuntimeEngine runtime)

      Specified by:
        `unlock` in interface `RuntimeManagerLockStrategy`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.